
package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Staat implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = false)
  private String iso3166Alpha2;

  @XmlElement(required = false)
  private String customCodeStaat;

  @XmlElement(required = false)
  private String customCodeStaatsangehoerigkeit;

  public Staat() {
    super();
  }

  public String getIso3166Alpha2() {
    return iso3166Alpha2;
  }

  public void setIso3166Alpha2(String iso3166Alpha2) {
    this.iso3166Alpha2 = iso3166Alpha2;
  }

  public String getCustomCodeStaat() {
    return customCodeStaat;
  }

  public void setCustomCodeStaat(String customCodeStaat) {
    this.customCodeStaat = customCodeStaat;
  }

  public String getCustomCodeStaatsangehoerigkeit() {
    return customCodeStaatsangehoerigkeit;
  }

  public void setCustomCodeStaatsangehoerigkeit(String customCodeStaatsangehoerigkeit) {
    this.customCodeStaatsangehoerigkeit = customCodeStaatsangehoerigkeit;
  }
}
